Build Android App
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Build Android App action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Build Android with Fastlane",
"type": "FASTLANE_ANDROID",
"trigger_time": "ON_EVERY_EXECUTION",
"build_tool_version": "34.0.0",
"shell": "BASH",
"setup_commands": [
"bundle install",
"fastlane update_plugins"
],
"execute_commands": [
"fastlane android beta"
],
"execute_every_command": true,
"variables": [
{
"key": "ANDROID_HOME",
"value": "/opt/android-sdk"
}
]
}'STATUS200 OK